Index: trunk/SophyaLib/TArray/smakefile
===================================================================
--- trunk/SophyaLib/TArray/smakefile	(revision 2743)
+++ trunk/SophyaLib/TArray/smakefile	(revision 2751)
@@ -10,7 +10,9 @@
 	$(AR) $(ARFLAGS) $@ $? 
  
-$(SOPHYAOBJP)basarr.o: basarr.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)basarr.o: basarr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h basarr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  basarr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
@@ -22,7 +24,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)fioarr.o: fioarr.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)fioarr.o: fioarr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -34,31 +37,17 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h fioarr.h \
-  tarray.h basarr.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)anydataobj.h \
+  fioarr.h tarray.h basarr.h \
+  $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h utilarr.h tmatrix.h \
-  tvector.h $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)objfio.h utilarr.h \
+  tmatrix.h tvector.h \
+  $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)matharr.o: matharr.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h matharr.h tarray.h \
-  basarr.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sopemtx.h \
-  tmatrix.h tarray.h basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  matharr.h tarray.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
@@ -71,12 +60,33 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h \
-  tvector.h $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h \
+  utilarr.h
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h tarray.h \
-  basarr.h $(SOPHYAINCP)anydataobj.h \
+  sopemtx.h tmatrix.h tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  utilarr.h tvector.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)tarray.o: tarray.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -87,11 +97,53 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h \
+  utilarr.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)tarrinit.o: tarrinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h fioarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  fioarr.h tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  utilarr.h tmatrix.h tvector.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  tmatrix.h tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  utilarr.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  toeplitzMatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h array.h \
   tarray.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -105,13 +157,17 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h \
-  tmatrix.h tvector.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h \
+  utilarr.h tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
+$(SOPHYAOBJP)tvector.o: tvector.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h tmatrix.h \
-  tarray.h basarr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  tvector.h tmatrix.h tarray.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
@@ -123,53 +179,13 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)timing.h array.h tarray.h \
-  basarr.h $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h \
-  tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
-  $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)tvector.o: tvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h tvector.h \
-  tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h \
+  utilarr.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)utilarr.o: utilarr.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h utilarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
+  utilarr.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
